#
# Utilities
#
# Copyright (c) 2001-2003 by Philipp "philiKON" von Weitershausen
#
# This software is distributed under the terms of the Mozilla Public
# License (MPL)
#

"""
$Id: util.py,v 1.2 2003/05/02 13:58:02 philipp Exp $
"""

def guess_meta_type(data):
    """
    Guess the meta type of 'data'
    """
    # This is very simple for now
    # If a token in the table is found, it is assummed that the corresponding
    # meta_type is correct
    
    #XXX missing images for now
    table = {
        '<dtml-':            'DTML Method',
        ' tal:':             'Page Template',
        ' Script (Python) ': 'Script (Python)',
        '<params>':          'Z SQL Method'
        }
    default_meta_type = "File"

    for chunk, meta_type in table.items():
        if data.find(chunk) >= 0:
            return meta_type
    return default_meta_type

def is_binary(file):
    """
    Check whether a file represented by file object 'file' contains
    binary data or text
    """
    chunk_size = 4*1024
    # read the file chunk-wise
    data = file.read(chunk_size)
    while data:
        for char in data:
            # binary files usually contain bytes < ASCII 7
            if char <= '\7':
                file.seek(0)
                return 1
        data = file.read(chunk_size)
    return 0
